# water_map.h File Reference

Map accessors for water tiles. More...

Go to the source code of this file.

## Enumerations
enum | WaterTileType { WATER_TILE_CLEAR, WATER_TILE_COAST, WATER_TILE_LOCK, WATER_TILE_DEPOT }
enum | WaterClass { WATER_CLASS_SEA, WATER_CLASS_CANAL, WATER_CLASS_RIVER, WATER_CLASS_INVALID }
enum | DepotPart { DEPOT_NORTH = 0x80, DEPOT_SOUTH = 0x81, DEPOT_END = 0x84 }
enum | LockPart { LOCK_MIDDLE = 0x10, LOCK_LOWER = 0x14, LOCK_UPPER = 0x18, LOCK_END = 0x1C }
## Functions
static WaterTileType | GetWaterTileType (TileIndex t)
static WaterClass | GetWaterClass (TileIndex t)
static void | SetWaterClass (TileIndex t, WaterClass wc)
static bool | IsWater (TileIndex t)
| IsWater return true if any type of clear water like ocean, river, canal.
static bool | IsSea (TileIndex t)
static bool | IsCanal (TileIndex t)
static bool | IsRiver (TileIndex t)
static bool | IsWaterTile (TileIndex t)
static bool | IsCoast (TileIndex t)
static TileIndex | GetOtherShipDepotTile (TileIndex t)
static bool | IsShipDepot (TileIndex t)
static bool | IsShipDepotTile (TileIndex t)
static Axis | GetShipDepotAxis (TileIndex t)
static DiagDirection | GetShipDepotDirection (TileIndex t)
static bool | IsLock (TileIndex t)
static DiagDirection | GetLockDirection (TileIndex t)
static byte | GetSection (TileIndex t)
static byte | GetWaterTileRandomBits (TileIndex t)
static void | MakeWater (TileIndex t)
static void | MakeShore (TileIndex t)
static void | MakeRiver (TileIndex t, uint8 random_bits)
static void | MakeCanal (TileIndex t, Owner o, uint8 random_bits)
static void | MakeShipDepot (TileIndex t, Owner o, DepotPart base, Axis a, WaterClass original_water_class)
static void | MakeLockTile (TileIndex t, Owner o, byte section, WaterClass original_water_class)
static void | MakeLock (TileIndex t, Owner o, DiagDirection d, WaterClass wc_lower, WaterClass wc_upper)

## Detailed Description

Map accessors for water tiles.

Definition in file water_map.h.

## Enumeration Type Documentation

enum WaterClass

Enumerator:

  WATER_CLASS_INVALID | Used for industry tiles on land (also for oilrig if newgrf says so).

Definition at line 15 of file water_map.h.